Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.32.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
252.32.0.0
Broadcast address
252.63.255.255
First usable
252.32.0.1
Last usable
252.63.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC200000 · Integer 4229955584 to 4232052735
Reverse DNS zones
32.252.in-addr.arpa
33.252.in-addr.arpa
34.252.in-addr.arpa
35.252.in-addr.arpa
36.252.in-addr.arpa
37.252.in-addr.arpa
38.252.in-addr.arpa
39.252.in-addr.arpa
40.252.in-addr.arpa
41.252.in-addr.arpa
42.252.in-addr.arpa
43.252.in-addr.arpa
44.252.in-addr.arpa
45.252.in-addr.arpa
46.252.in-addr.arpa
47.252.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00100000.00000000.00000000252.32.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11111100.00100000.00000000.00000000252.32.0.0
Broadcast11111100.00111111.11111111.11111111252.63.255.255
Split into smaller subnets/20

252.32.0.0/11 makes 512 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.32.0.0/20252.32.0.1 to 252.32.15.254252.32.15.2554,094
2252.32.16.0/20252.32.16.1 to 252.32.31.254252.32.31.2554,094
3252.32.32.0/20252.32.32.1 to 252.32.47.254252.32.47.2554,094
4252.32.48.0/20252.32.48.1 to 252.32.63.254252.32.63.2554,094
5252.32.64.0/20252.32.64.1 to 252.32.79.254252.32.79.2554,094
6252.32.80.0/20252.32.80.1 to 252.32.95.254252.32.95.2554,094
7252.32.96.0/20252.32.96.1 to 252.32.111.254252.32.111.2554,094
8252.32.112.0/20252.32.112.1 to 252.32.127.254252.32.127.2554,094
9252.32.128.0/20252.32.128.1 to 252.32.143.254252.32.143.2554,094
10252.32.144.0/20252.32.144.1 to 252.32.159.254252.32.159.2554,094
11252.32.160.0/20252.32.160.1 to 252.32.175.254252.32.175.2554,094
12252.32.176.0/20252.32.176.1 to 252.32.191.254252.32.191.2554,094
13252.32.192.0/20252.32.192.1 to 252.32.207.254252.32.207.2554,094
14252.32.208.0/20252.32.208.1 to 252.32.223.254252.32.223.2554,094
15252.32.224.0/20252.32.224.1 to 252.32.239.254252.32.239.2554,094
16252.32.240.0/20252.32.240.1 to 252.32.255.254252.32.255.2554,094
17252.33.0.0/20252.33.0.1 to 252.33.15.254252.33.15.2554,094
18252.33.16.0/20252.33.16.1 to 252.33.31.254252.33.31.2554,094
19252.33.32.0/20252.33.32.1 to 252.33.47.254252.33.47.2554,094
20252.33.48.0/20252.33.48.1 to 252.33.63.254252.33.63.2554,094
21252.33.64.0/20252.33.64.1 to 252.33.79.254252.33.79.2554,094
22252.33.80.0/20252.33.80.1 to 252.33.95.254252.33.95.2554,094
23252.33.96.0/20252.33.96.1 to 252.33.111.254252.33.111.2554,094
24252.33.112.0/20252.33.112.1 to 252.33.127.254252.33.127.2554,094
25252.33.128.0/20252.33.128.1 to 252.33.143.254252.33.143.2554,094
26252.33.144.0/20252.33.144.1 to 252.33.159.254252.33.159.2554,094
27252.33.160.0/20252.33.160.1 to 252.33.175.254252.33.175.2554,094
28252.33.176.0/20252.33.176.1 to 252.33.191.254252.33.191.2554,094
29252.33.192.0/20252.33.192.1 to 252.33.207.254252.33.207.2554,094
30252.33.208.0/20252.33.208.1 to 252.33.223.254252.33.223.2554,094
31252.33.224.0/20252.33.224.1 to 252.33.239.254252.33.239.2554,094
32252.33.240.0/20252.33.240.1 to 252.33.255.254252.33.255.2554,094
33252.34.0.0/20252.34.0.1 to 252.34.15.254252.34.15.2554,094
34252.34.16.0/20252.34.16.1 to 252.34.31.254252.34.31.2554,094
35252.34.32.0/20252.34.32.1 to 252.34.47.254252.34.47.2554,094
36252.34.48.0/20252.34.48.1 to 252.34.63.254252.34.63.2554,094
37252.34.64.0/20252.34.64.1 to 252.34.79.254252.34.79.2554,094
38252.34.80.0/20252.34.80.1 to 252.34.95.254252.34.95.2554,094
39252.34.96.0/20252.34.96.1 to 252.34.111.254252.34.111.2554,094
40252.34.112.0/20252.34.112.1 to 252.34.127.254252.34.127.2554,094
41252.34.128.0/20252.34.128.1 to 252.34.143.254252.34.143.2554,094
42252.34.144.0/20252.34.144.1 to 252.34.159.254252.34.159.2554,094
43252.34.160.0/20252.34.160.1 to 252.34.175.254252.34.175.2554,094
44252.34.176.0/20252.34.176.1 to 252.34.191.254252.34.191.2554,094
45252.34.192.0/20252.34.192.1 to 252.34.207.254252.34.207.2554,094
46252.34.208.0/20252.34.208.1 to 252.34.223.254252.34.223.2554,094
47252.34.224.0/20252.34.224.1 to 252.34.239.254252.34.239.2554,094
48252.34.240.0/20252.34.240.1 to 252.34.255.254252.34.255.2554,094
49252.35.0.0/20252.35.0.1 to 252.35.15.254252.35.15.2554,094
50252.35.16.0/20252.35.16.1 to 252.35.31.254252.35.31.2554,094
51252.35.32.0/20252.35.32.1 to 252.35.47.254252.35.47.2554,094
52252.35.48.0/20252.35.48.1 to 252.35.63.254252.35.63.2554,094
53252.35.64.0/20252.35.64.1 to 252.35.79.254252.35.79.2554,094
54252.35.80.0/20252.35.80.1 to 252.35.95.254252.35.95.2554,094
55252.35.96.0/20252.35.96.1 to 252.35.111.254252.35.111.2554,094
56252.35.112.0/20252.35.112.1 to 252.35.127.254252.35.127.2554,094
57252.35.128.0/20252.35.128.1 to 252.35.143.254252.35.143.2554,094
58252.35.144.0/20252.35.144.1 to 252.35.159.254252.35.159.2554,094
59252.35.160.0/20252.35.160.1 to 252.35.175.254252.35.175.2554,094
60252.35.176.0/20252.35.176.1 to 252.35.191.254252.35.191.2554,094
61252.35.192.0/20252.35.192.1 to 252.35.207.254252.35.207.2554,094
62252.35.208.0/20252.35.208.1 to 252.35.223.254252.35.223.2554,094
63252.35.224.0/20252.35.224.1 to 252.35.239.254252.35.239.2554,094
64252.35.240.0/20252.35.240.1 to 252.35.255.254252.35.255.2554,094
65252.36.0.0/20252.36.0.1 to 252.36.15.254252.36.15.2554,094
66252.36.16.0/20252.36.16.1 to 252.36.31.254252.36.31.2554,094
67252.36.32.0/20252.36.32.1 to 252.36.47.254252.36.47.2554,094
68252.36.48.0/20252.36.48.1 to 252.36.63.254252.36.63.2554,094
69252.36.64.0/20252.36.64.1 to 252.36.79.254252.36.79.2554,094
70252.36.80.0/20252.36.80.1 to 252.36.95.254252.36.95.2554,094
71252.36.96.0/20252.36.96.1 to 252.36.111.254252.36.111.2554,094
72252.36.112.0/20252.36.112.1 to 252.36.127.254252.36.127.2554,094
73252.36.128.0/20252.36.128.1 to 252.36.143.254252.36.143.2554,094
74252.36.144.0/20252.36.144.1 to 252.36.159.254252.36.159.2554,094
75252.36.160.0/20252.36.160.1 to 252.36.175.254252.36.175.2554,094
76252.36.176.0/20252.36.176.1 to 252.36.191.254252.36.191.2554,094
77252.36.192.0/20252.36.192.1 to 252.36.207.254252.36.207.2554,094
78252.36.208.0/20252.36.208.1 to 252.36.223.254252.36.223.2554,094
79252.36.224.0/20252.36.224.1 to 252.36.239.254252.36.239.2554,094
80252.36.240.0/20252.36.240.1 to 252.36.255.254252.36.255.2554,094
81252.37.0.0/20252.37.0.1 to 252.37.15.254252.37.15.2554,094
82252.37.16.0/20252.37.16.1 to 252.37.31.254252.37.31.2554,094
83252.37.32.0/20252.37.32.1 to 252.37.47.254252.37.47.2554,094
84252.37.48.0/20252.37.48.1 to 252.37.63.254252.37.63.2554,094
85252.37.64.0/20252.37.64.1 to 252.37.79.254252.37.79.2554,094
86252.37.80.0/20252.37.80.1 to 252.37.95.254252.37.95.2554,094
87252.37.96.0/20252.37.96.1 to 252.37.111.254252.37.111.2554,094
88252.37.112.0/20252.37.112.1 to 252.37.127.254252.37.127.2554,094
89252.37.128.0/20252.37.128.1 to 252.37.143.254252.37.143.2554,094
90252.37.144.0/20252.37.144.1 to 252.37.159.254252.37.159.2554,094
91252.37.160.0/20252.37.160.1 to 252.37.175.254252.37.175.2554,094
92252.37.176.0/20252.37.176.1 to 252.37.191.254252.37.191.2554,094
93252.37.192.0/20252.37.192.1 to 252.37.207.254252.37.207.2554,094
94252.37.208.0/20252.37.208.1 to 252.37.223.254252.37.223.2554,094
95252.37.224.0/20252.37.224.1 to 252.37.239.254252.37.239.2554,094
96252.37.240.0/20252.37.240.1 to 252.37.255.254252.37.255.2554,094
97252.38.0.0/20252.38.0.1 to 252.38.15.254252.38.15.2554,094
98252.38.16.0/20252.38.16.1 to 252.38.31.254252.38.31.2554,094
99252.38.32.0/20252.38.32.1 to 252.38.47.254252.38.47.2554,094
100252.38.48.0/20252.38.48.1 to 252.38.63.254252.38.63.2554,094
101252.38.64.0/20252.38.64.1 to 252.38.79.254252.38.79.2554,094
102252.38.80.0/20252.38.80.1 to 252.38.95.254252.38.95.2554,094
103252.38.96.0/20252.38.96.1 to 252.38.111.254252.38.111.2554,094
104252.38.112.0/20252.38.112.1 to 252.38.127.254252.38.127.2554,094
105252.38.128.0/20252.38.128.1 to 252.38.143.254252.38.143.2554,094
106252.38.144.0/20252.38.144.1 to 252.38.159.254252.38.159.2554,094
107252.38.160.0/20252.38.160.1 to 252.38.175.254252.38.175.2554,094
108252.38.176.0/20252.38.176.1 to 252.38.191.254252.38.191.2554,094
109252.38.192.0/20252.38.192.1 to 252.38.207.254252.38.207.2554,094
110252.38.208.0/20252.38.208.1 to 252.38.223.254252.38.223.2554,094
111252.38.224.0/20252.38.224.1 to 252.38.239.254252.38.239.2554,094
112252.38.240.0/20252.38.240.1 to 252.38.255.254252.38.255.2554,094
113252.39.0.0/20252.39.0.1 to 252.39.15.254252.39.15.2554,094
114252.39.16.0/20252.39.16.1 to 252.39.31.254252.39.31.2554,094
115252.39.32.0/20252.39.32.1 to 252.39.47.254252.39.47.2554,094
116252.39.48.0/20252.39.48.1 to 252.39.63.254252.39.63.2554,094
117252.39.64.0/20252.39.64.1 to 252.39.79.254252.39.79.2554,094
118252.39.80.0/20252.39.80.1 to 252.39.95.254252.39.95.2554,094
119252.39.96.0/20252.39.96.1 to 252.39.111.254252.39.111.2554,094
120252.39.112.0/20252.39.112.1 to 252.39.127.254252.39.127.2554,094
121252.39.128.0/20252.39.128.1 to 252.39.143.254252.39.143.2554,094
122252.39.144.0/20252.39.144.1 to 252.39.159.254252.39.159.2554,094
123252.39.160.0/20252.39.160.1 to 252.39.175.254252.39.175.2554,094
124252.39.176.0/20252.39.176.1 to 252.39.191.254252.39.191.2554,094
125252.39.192.0/20252.39.192.1 to 252.39.207.254252.39.207.2554,094
126252.39.208.0/20252.39.208.1 to 252.39.223.254252.39.223.2554,094
127252.39.224.0/20252.39.224.1 to 252.39.239.254252.39.239.2554,094
128252.39.240.0/20252.39.240.1 to 252.39.255.254252.39.255.2554,094
129252.40.0.0/20252.40.0.1 to 252.40.15.254252.40.15.2554,094
130252.40.16.0/20252.40.16.1 to 252.40.31.254252.40.31.2554,094
131252.40.32.0/20252.40.32.1 to 252.40.47.254252.40.47.2554,094
132252.40.48.0/20252.40.48.1 to 252.40.63.254252.40.63.2554,094
133252.40.64.0/20252.40.64.1 to 252.40.79.254252.40.79.2554,094
134252.40.80.0/20252.40.80.1 to 252.40.95.254252.40.95.2554,094
135252.40.96.0/20252.40.96.1 to 252.40.111.254252.40.111.2554,094
136252.40.112.0/20252.40.112.1 to 252.40.127.254252.40.127.2554,094
137252.40.128.0/20252.40.128.1 to 252.40.143.254252.40.143.2554,094
138252.40.144.0/20252.40.144.1 to 252.40.159.254252.40.159.2554,094
139252.40.160.0/20252.40.160.1 to 252.40.175.254252.40.175.2554,094
140252.40.176.0/20252.40.176.1 to 252.40.191.254252.40.191.2554,094
141252.40.192.0/20252.40.192.1 to 252.40.207.254252.40.207.2554,094
142252.40.208.0/20252.40.208.1 to 252.40.223.254252.40.223.2554,094
143252.40.224.0/20252.40.224.1 to 252.40.239.254252.40.239.2554,094
144252.40.240.0/20252.40.240.1 to 252.40.255.254252.40.255.2554,094
145252.41.0.0/20252.41.0.1 to 252.41.15.254252.41.15.2554,094
146252.41.16.0/20252.41.16.1 to 252.41.31.254252.41.31.2554,094
147252.41.32.0/20252.41.32.1 to 252.41.47.254252.41.47.2554,094
148252.41.48.0/20252.41.48.1 to 252.41.63.254252.41.63.2554,094
149252.41.64.0/20252.41.64.1 to 252.41.79.254252.41.79.2554,094
150252.41.80.0/20252.41.80.1 to 252.41.95.254252.41.95.2554,094
151252.41.96.0/20252.41.96.1 to 252.41.111.254252.41.111.2554,094
152252.41.112.0/20252.41.112.1 to 252.41.127.254252.41.127.2554,094
153252.41.128.0/20252.41.128.1 to 252.41.143.254252.41.143.2554,094
154252.41.144.0/20252.41.144.1 to 252.41.159.254252.41.159.2554,094
155252.41.160.0/20252.41.160.1 to 252.41.175.254252.41.175.2554,094
156252.41.176.0/20252.41.176.1 to 252.41.191.254252.41.191.2554,094
157252.41.192.0/20252.41.192.1 to 252.41.207.254252.41.207.2554,094
158252.41.208.0/20252.41.208.1 to 252.41.223.254252.41.223.2554,094
159252.41.224.0/20252.41.224.1 to 252.41.239.254252.41.239.2554,094
160252.41.240.0/20252.41.240.1 to 252.41.255.254252.41.255.2554,094
161252.42.0.0/20252.42.0.1 to 252.42.15.254252.42.15.2554,094
162252.42.16.0/20252.42.16.1 to 252.42.31.254252.42.31.2554,094
163252.42.32.0/20252.42.32.1 to 252.42.47.254252.42.47.2554,094
164252.42.48.0/20252.42.48.1 to 252.42.63.254252.42.63.2554,094
165252.42.64.0/20252.42.64.1 to 252.42.79.254252.42.79.2554,094
166252.42.80.0/20252.42.80.1 to 252.42.95.254252.42.95.2554,094
167252.42.96.0/20252.42.96.1 to 252.42.111.254252.42.111.2554,094
168252.42.112.0/20252.42.112.1 to 252.42.127.254252.42.127.2554,094
169252.42.128.0/20252.42.128.1 to 252.42.143.254252.42.143.2554,094
170252.42.144.0/20252.42.144.1 to 252.42.159.254252.42.159.2554,094
171252.42.160.0/20252.42.160.1 to 252.42.175.254252.42.175.2554,094
172252.42.176.0/20252.42.176.1 to 252.42.191.254252.42.191.2554,094
173252.42.192.0/20252.42.192.1 to 252.42.207.254252.42.207.2554,094
174252.42.208.0/20252.42.208.1 to 252.42.223.254252.42.223.2554,094
175252.42.224.0/20252.42.224.1 to 252.42.239.254252.42.239.2554,094
176252.42.240.0/20252.42.240.1 to 252.42.255.254252.42.255.2554,094
177252.43.0.0/20252.43.0.1 to 252.43.15.254252.43.15.2554,094
178252.43.16.0/20252.43.16.1 to 252.43.31.254252.43.31.2554,094
179252.43.32.0/20252.43.32.1 to 252.43.47.254252.43.47.2554,094
180252.43.48.0/20252.43.48.1 to 252.43.63.254252.43.63.2554,094
181252.43.64.0/20252.43.64.1 to 252.43.79.254252.43.79.2554,094
182252.43.80.0/20252.43.80.1 to 252.43.95.254252.43.95.2554,094
183252.43.96.0/20252.43.96.1 to 252.43.111.254252.43.111.2554,094
184252.43.112.0/20252.43.112.1 to 252.43.127.254252.43.127.2554,094
185252.43.128.0/20252.43.128.1 to 252.43.143.254252.43.143.2554,094
186252.43.144.0/20252.43.144.1 to 252.43.159.254252.43.159.2554,094
187252.43.160.0/20252.43.160.1 to 252.43.175.254252.43.175.2554,094
188252.43.176.0/20252.43.176.1 to 252.43.191.254252.43.191.2554,094
189252.43.192.0/20252.43.192.1 to 252.43.207.254252.43.207.2554,094
190252.43.208.0/20252.43.208.1 to 252.43.223.254252.43.223.2554,094
191252.43.224.0/20252.43.224.1 to 252.43.239.254252.43.239.2554,094
192252.43.240.0/20252.43.240.1 to 252.43.255.254252.43.255.2554,094
193252.44.0.0/20252.44.0.1 to 252.44.15.254252.44.15.2554,094
194252.44.16.0/20252.44.16.1 to 252.44.31.254252.44.31.2554,094
195252.44.32.0/20252.44.32.1 to 252.44.47.254252.44.47.2554,094
196252.44.48.0/20252.44.48.1 to 252.44.63.254252.44.63.2554,094
197252.44.64.0/20252.44.64.1 to 252.44.79.254252.44.79.2554,094
198252.44.80.0/20252.44.80.1 to 252.44.95.254252.44.95.2554,094
199252.44.96.0/20252.44.96.1 to 252.44.111.254252.44.111.2554,094
200252.44.112.0/20252.44.112.1 to 252.44.127.254252.44.127.2554,094
201252.44.128.0/20252.44.128.1 to 252.44.143.254252.44.143.2554,094
202252.44.144.0/20252.44.144.1 to 252.44.159.254252.44.159.2554,094
203252.44.160.0/20252.44.160.1 to 252.44.175.254252.44.175.2554,094
204252.44.176.0/20252.44.176.1 to 252.44.191.254252.44.191.2554,094
205252.44.192.0/20252.44.192.1 to 252.44.207.254252.44.207.2554,094
206252.44.208.0/20252.44.208.1 to 252.44.223.254252.44.223.2554,094
207252.44.224.0/20252.44.224.1 to 252.44.239.254252.44.239.2554,094
208252.44.240.0/20252.44.240.1 to 252.44.255.254252.44.255.2554,094
209252.45.0.0/20252.45.0.1 to 252.45.15.254252.45.15.2554,094
210252.45.16.0/20252.45.16.1 to 252.45.31.254252.45.31.2554,094
211252.45.32.0/20252.45.32.1 to 252.45.47.254252.45.47.2554,094
212252.45.48.0/20252.45.48.1 to 252.45.63.254252.45.63.2554,094
213252.45.64.0/20252.45.64.1 to 252.45.79.254252.45.79.2554,094
214252.45.80.0/20252.45.80.1 to 252.45.95.254252.45.95.2554,094
215252.45.96.0/20252.45.96.1 to 252.45.111.254252.45.111.2554,094
216252.45.112.0/20252.45.112.1 to 252.45.127.254252.45.127.2554,094
217252.45.128.0/20252.45.128.1 to 252.45.143.254252.45.143.2554,094
218252.45.144.0/20252.45.144.1 to 252.45.159.254252.45.159.2554,094
219252.45.160.0/20252.45.160.1 to 252.45.175.254252.45.175.2554,094
220252.45.176.0/20252.45.176.1 to 252.45.191.254252.45.191.2554,094
221252.45.192.0/20252.45.192.1 to 252.45.207.254252.45.207.2554,094
222252.45.208.0/20252.45.208.1 to 252.45.223.254252.45.223.2554,094
223252.45.224.0/20252.45.224.1 to 252.45.239.254252.45.239.2554,094
224252.45.240.0/20252.45.240.1 to 252.45.255.254252.45.255.2554,094
225252.46.0.0/20252.46.0.1 to 252.46.15.254252.46.15.2554,094
226252.46.16.0/20252.46.16.1 to 252.46.31.254252.46.31.2554,094
227252.46.32.0/20252.46.32.1 to 252.46.47.254252.46.47.2554,094
228252.46.48.0/20252.46.48.1 to 252.46.63.254252.46.63.2554,094
229252.46.64.0/20252.46.64.1 to 252.46.79.254252.46.79.2554,094
230252.46.80.0/20252.46.80.1 to 252.46.95.254252.46.95.2554,094
231252.46.96.0/20252.46.96.1 to 252.46.111.254252.46.111.2554,094
232252.46.112.0/20252.46.112.1 to 252.46.127.254252.46.127.2554,094
233252.46.128.0/20252.46.128.1 to 252.46.143.254252.46.143.2554,094
234252.46.144.0/20252.46.144.1 to 252.46.159.254252.46.159.2554,094
235252.46.160.0/20252.46.160.1 to 252.46.175.254252.46.175.2554,094
236252.46.176.0/20252.46.176.1 to 252.46.191.254252.46.191.2554,094
237252.46.192.0/20252.46.192.1 to 252.46.207.254252.46.207.2554,094
238252.46.208.0/20252.46.208.1 to 252.46.223.254252.46.223.2554,094
239252.46.224.0/20252.46.224.1 to 252.46.239.254252.46.239.2554,094
240252.46.240.0/20252.46.240.1 to 252.46.255.254252.46.255.2554,094
241252.47.0.0/20252.47.0.1 to 252.47.15.254252.47.15.2554,094
242252.47.16.0/20252.47.16.1 to 252.47.31.254252.47.31.2554,094
243252.47.32.0/20252.47.32.1 to 252.47.47.254252.47.47.2554,094
244252.47.48.0/20252.47.48.1 to 252.47.63.254252.47.63.2554,094
245252.47.64.0/20252.47.64.1 to 252.47.79.254252.47.79.2554,094
246252.47.80.0/20252.47.80.1 to 252.47.95.254252.47.95.2554,094
247252.47.96.0/20252.47.96.1 to 252.47.111.254252.47.111.2554,094
248252.47.112.0/20252.47.112.1 to 252.47.127.254252.47.127.2554,094
249252.47.128.0/20252.47.128.1 to 252.47.143.254252.47.143.2554,094
250252.47.144.0/20252.47.144.1 to 252.47.159.254252.47.159.2554,094
251252.47.160.0/20252.47.160.1 to 252.47.175.254252.47.175.2554,094
252252.47.176.0/20252.47.176.1 to 252.47.191.254252.47.191.2554,094
253252.47.192.0/20252.47.192.1 to 252.47.207.254252.47.207.2554,094
254252.47.208.0/20252.47.208.1 to 252.47.223.254252.47.223.2554,094
255252.47.224.0/20252.47.224.1 to 252.47.239.254252.47.239.2554,094
256252.47.240.0/20252.47.240.1 to 252.47.255.254252.47.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses